compiling python 2.3.4 with command line editing

enjoylife_95135 enjoylife_95135 at hotmail.com
Sun Aug 15 20:06:46 CEST 2004


Got it. As it turned out, I needed the readline-dev package *and* the
termcap-dev package. But command-line history works now, and I am warm
and happy.

Thanks!
S


"Martin v. Löwis" <martin at v.loewis.de> wrote in message news:<411f37bf$0$13058$9b622d9e at news.freenet.de>...
> enjoylife_95135 wrote:
> >    I need to upgrade, so I downloaded and compiled Python 2.3.4. Very
> > cool, spiffy etc, but the interpreter doesn't allow for command line
> > editing, i.e. I can't type <ctrl-P> and go to the previous command.
> > 
> >     How do I enable that?
> 
> Make sure the readline module is built. For that, you need to install
> the readline header files, which are probably in the readline-dev
> package.
> 
> Regards,
> Martin



More information about the Python-list mailing list